#### D.4.15.2 PrimdecA

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  PrimdecA (N[, i]); module N, int i

Return:
  list l
  a (not necessarily minimal) primary decomposition of N computed by a generalized version of the algorithm of Shimoyama/Yokoyama,
  if i!=0 is given, the factorizing Groebner is used to compute the isolated primes

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    module N=x*gen(1)+ y*gen(2),
    x*gen(1)-x2*gen(2);
    list l=PrimdecA(N);
    l;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=x*gen(1)+y*gen(2)
    ==>       _[2]=x*gen(2)-gen(1)
    ==>    [2]:
    ==>       _[1]=x2+y
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=gen(2)
    ==>       _[2]=x*gen(1)
    ==>    [2]:
    ==>       _[1]=x
    ==> [3]:
    ==>    [1]:
    ==>       _[1]=y*gen(1)
    ==>       _[2]=y*gen(2)
    ==>       _[3]=x*gen(1)
    ==>       _[4]=x*gen(2)
    ==>    [2]:
    ==>       _[1]=y
    ==>       _[2]=x

User manual for Singular version 4-0-3, 2016, generated by texi2html.